<!DOCTYPE html>

<html>
    <head>
        <meta charset="UTF-8">
        <title>Currency Converter</title>
    </head>
    <body>
        <h1>Currency converter</h1>
        <p>Consumes a simple SOAP service using the PHP class 
            <a href="http://php.net/manual/en/class.soapclient.php">SoapClient</a>
        </p>
        <p>The service runs, but it always returns -1</p>    
        <a href="http://www.webservicex.com/CurrencyConvertor.asmx?wsdl">http://www.webservicex.com/CurrencyConvertor.asmx?wsdl</a>
        <?php
        $client = new SoapClient("http://www.webservicex.com/CurrencyConvertor.asmx?wsdl");
        // print_r($client);

        echo "<h2>Functions</h2>";

        $functions = $client->__getFunctions();
        //print_r($functions);
        foreach ($functions as $function) {
            echo $function . "<br />";
        }

        echo "<h2>Types</h2>";
        $types = $client->__getTypes();
        //print_r($types);
        echo "<ol>";
        foreach ($types as $type) {
            echo "<li>" . $type . "</li>";
        }
        echo "</ol>";

        echo "<h2>Currency conversion</h2>";

        $parameters = array('FromCurrency' => 'USD', 'ToCurrency' => 'DKK');
        $rate = $client->ConversionRate($parameters);
        print_r($rate);
        echo "<br />";
        echo "Rate = " . $rate->ConversionRateResult;
        ?>
    </body>
</html>
